Name:    newsboat
Version: 2.14.1
Release: 1%{?dist}
Summary: RSS/Atom feed reader for the text console

License: MIT
URL:     https://www.newsboat.org
Source0: https://github.com/newsboat/newsboat/archive/r%{version}/%{name}-r%{version}.tar.gz

BuildRequires: asciidoc
BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: pkgconfig
BuildRequires: pkgconfig(json-c) >= 0.11
BuildRequires: pkgconfig(libcrypto)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(ncursesw)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(stfl)
# libnewsboat
BuildRequires:  rust-packaging
BuildRequires:  (crate(chrono/default) >= 0.4.0 with crate(chrono/default) < 0.5.0)
BuildRequires:  (crate(rand/default) >= 0.5.0 with crate(rand/default) < 0.6.0)
BuildRequires:  (crate(once_cell/default) >= 0.1.6 with crate(once_cell/default) < 0.2.0)
BuildRequires:  (crate(regex/default) >= 1.0 with crate(regex/default) < 2.0)
BuildRequires:  (crate(url/default) >= 1.7 with crate(url/default) < 2.0)
BuildRequires:  (crate(dirs/default) >= 1.0.4 with crate(dirs/default) < 2.0.0)
BuildRequires:  (crate(backtrace/default) >= 0.3.0 with crate(backtrace/default) < 0.4.0)
BuildRequires:  (crate(unicode-width/default) >= 0.1.5 with crate(unicode-width/default) < 0.2.0)
BuildRequires:  (crate(tempfile/default) >= 3.0.0 with crate(tempfile/default) < 4.0.0)
# libnewsboat-ffi
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)

Provides: podboat = %{version}-%{release}

%description
Newsboat is a fork of Newsbeuter, an RSS/Atom feed reader for the text console.

%prep
%autosetup -n %{name}-r%{version}
%cargo_prep
# Remove executable bit from example scripts
find contrib/ -type f -exec chmod -x '{}' +

%build
%set_build_flags
sh config.sh
%make_build

%install
%make_install prefix=%{_prefix}
install -p -m0644 -t "%{buildroot}%{_pkgdocdir}" README.md

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE

%{_bindir}/newsboat
%{_bindir}/podboat

%{_mandir}/man1/newsboat.1*
%{_mandir}/man1/podboat.1*
%{_pkgdocdir}

%changelog
* Mon Feb 18 2019 Jan Staněk <jstanek@redhat.com> - 2.14.1-1
- Upgrade to version 2.14.1

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 25 2018 Lee Keitel <keitellf@fedoraproject.org> - 2.12-1
- Bumped version to 2.12

* Wed Jun 13 2018 Lee Keitel <keitellf@fedoraproject.org> - 2.11.1-1
- Initial version 2.11.1
